module BackgroundJobs
  class Job
    attr_writer :id

    def perform
      execute
    end

    def execute
      raise NotImplementedError
    end

    def error(job, exception)
      Airbrake.notify exception
    end
  end
end
