require 'digest'

module BackgroundJobs
  module JobIdGenerator
    def self.included(base)
      base.extend ClassMethods
    end

    module ClassMethods
      def generate_job_id
        Digest::SHA256.hexdigest("#{Time.now.to_f}-#{rand(0)}")
      end
    end
  end
end